=== debian/changelog ===
ccseapps (2.5-7) unstable; urgency=medium

  * Add debian/watch file
  * Standards-Version: 4.0.0; no changes required
  * Debhelper compat = 9  

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 15:31:49 +0100

ccseapps (2.5-6) unstable; urgency=medium

  * Remove date,timestamps to make build reproducible
  * Move to Standards-Version: 3.9.6
  * Add Vcs-Git: to debian/control  pointing to debian-science 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jun 2015 08:08:39 +0100

ccseapps (2.5-5) unstable; urgency=medium

  * Fix Homepage in debian/control. Closes: #739101.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Sep 2014 06:58:59 +0100

ccseapps (2.5-4) unstable; urgency=medium

  * Move to Standards-Version: 3.9.5 
  * Now use xz compression.
  * Fix explicit copyright in debian/copyright. (C) LLNL.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Mar 2014 13:55:49 +0000

ccseapps (2.5-3) unstable; urgency=low

  * Move to Standards-Version: 3.9.4
  * Add ${misc:Depends} for debhelper dependency. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Nov 2013 18:56:27 +0000

ccseapps (2.5-2) unstable; urgency=low

  * Patch to detect byte order and build on more archs.
    Closes: #650558. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Dec 2011 10:49:04 +0000

ccseapps (2.5-1) unstable; urgency=low

  * Initial release. (Closes: #624233).

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Apr 2011 15:05:24 +0100
