=== debian/control ===
Source: ccseapps
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10),  gfortran
Standards-Version: 4.0.0
Homepage:  https://ccse.lbl.gov/BoxLib/index.html

Package: libbox-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Boxlib: C++ Block-structured finite difference algorithms library
 BoxLib is a foundation library of C++ classes that facilitate the development
 of block-structured finite difference algorithms such as arise in the solution
 of systems of partial differential equations. BoxLib is particularly useful
 in designing and building adaptive algorithms. BoxLib contains rich data 
 structures for describing operations which take place on data defined in 
 regions of index space that are unions of non-intersecting rectangles. 
 Because we are interested in unsteady problems where the regions of interest 
 may change in response to an evolving solution, support is provided in BoxLib
 for efficiently building and destroying the data structures.
 All constructs in BoxLib are designed to run efficiently in parallel.
 .
 BoxLib is the foundation library for the PMAMR (porous media) ,
 (low Mach number combustion), CASTRO (compressible astrophysics)
 codes. and NYX (cosmology) codes.  An analogous version of BoxLib written
 entirely in Fortran90 is the foundation library for the MAESTRO code,
 for example.
